summaryrefslogtreecommitdiffhomepage
path: root/pkg/deb/debian/unit.init
diff options
context:
space:
mode:
authorAndrei Belov <defan@nginx.com>2020-12-28 12:51:30 +0300
committerAndrei Belov <defan@nginx.com>2020-12-28 12:51:30 +0300
commit3abca42caf44f03941545e5e92f35c0f329640e7 (patch)
treebc5ec91ab6fc4dbe199ecaccb17c7231d4bdd494 /pkg/deb/debian/unit.init
parentc981ac6558440f42670fc0a3d3857a3bb10e1f0a (diff)
downloadunit-3abca42caf44f03941545e5e92f35c0f329640e7.tar.gz
unit-3abca42caf44f03941545e5e92f35c0f329640e7.tar.bz2
Packages: fixed building for Ubuntu 16.04 "xenial".
Changes introduced in a27532e3a17b effectively broke building of the unit package due to missed dh_installsystemd script in older debhelper 9.x. Once Ubuntu 16.04 reach EOL, the following actions should be made: - this commit should be reverted; - minimal debhelper version should be increased to 11.
Diffstat (limited to '')
-rw-r--r--pkg/deb/debian/unit.init74
1 files changed, 74 insertions, 0 deletions
diff --git a/pkg/deb/debian/unit.init b/pkg/deb/debian/unit.init
new file mode 100644
index 00000000..900e97fd
--- /dev/null
+++ b/pkg/deb/debian/unit.init
@@ -0,0 +1,74 @@
+#!/bin/sh
+#
+# unitd NGINX Unit
+#
+### BEGIN INIT INFO
+# Provides: unitd
+# Required-Start: $network $remote_fs
+# Required-Stop: $network $remote_fs
+# Default-Start: 2 3 4 5
+# Default-Stop: 0 1 6
+# Short-Description: NGINX Unit
+# Description: NGINX Unit
+### END INIT INFO
+PATH=/sbin:/bin:/usr/sbin:/usr/bin
+DAEMON=/usr/sbin/unitd
+NAME=unit
+DESC=unitd
+
+#includes lsb functions
+. /lib/lsb/init-functions
+
+test -f $DAEMON || exit 0
+
+umask 022
+
+# Read configuration variable file if it is present
+[ -r /etc/default/$NAME ] && . /etc/default/$NAME
+
+case "$1" in
+ start)
+ log_daemon_msg "Starting $DESC" "$NAME"
+ if start-stop-daemon --start --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON -- $DAEMON_ARGS; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ fi
+ ;;
+ status)
+ status_of_proc -p "$PIDFILE" "$DAEMON" "$NAME" && exit 0 || exit $?
+ ;;
+ stop)
+ log_daemon_msg "Stopping $DESC" "$NAME"
+ if start-stop-daemon --oknodo --stop --quiet --pidfile /var/run/$NAME.pid \
+ --exec $DAEMON; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ fi
+ ;;
+ reload|force-reload)
+ echo "Not implemented." >&2
+ exit 1
+ ;;
+ restart)
+ log_action_begin_msg "Restarting $DESC" "$NAME"
+
+ start-stop-daemon --stop --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON || true
+ sleep 1
+ if start-stop-daemon --start --quiet --pidfile \
+ /var/run/$NAME.pid --exec $DAEMON -- $DAEMON_ARGS; then
+ log_end_msg 0
+ else
+ log_end_msg 1
+ fi
+ ;;
+ *)
+ echo "Usage: /etc/init.d/$NAME {start|status|stop|restart|reload|force-reload}" >&2
+ exit 1
+ ;;
+esac
+
+exit 0